
Foreman - Feature #28786

RFE - Subscription report template

01/17/2020 08:30 AM - Waldirio Pinheiro

Status: Closed   

Priority: Normal   

Assignee: Waldirio Pinheiro   

Category: Templates   

Target version:    

Difficulty:  Fixed in Releases:  

Triaged: No Found in Releases:  

Bugzilla link: 1792174 Red Hat JIRA:  

Pull request: https://github.com/theforeman/communit

y-templates/pull/681

  

Description

Description of problem:

Currently, we can see the output as below

---

ID,Name,Available,Quantity,SKU,Contract number

6,Employee SKU,10,10,ES0113909,10169621

8,Employee SKU,-1,-1,ES0113909,10169621

9,ant-product,-1,-1,794374057445,""

10,Employee SKU,5,5,ES0113909,11986131

---

However, will be really interesting add some fields as below:

- Start Date

- End Date

- Account #

- Contract #

- Type

- Organization

Version-Release number of selected component (if applicable):

6.6.z

How reproducible:

100%

Steps to Reproduce:

1. WebUI - Monitor - Report Templates - Subscriptions - Generate

2.

3.

Actual results:

---

ID,Name,Available,Quantity,SKU,Contract number

6,Employee SKU,10,10,ES0113909,10169621

8,Employee SKU,-1,-1,ES0113909,10169621

9,ant-product,-1,-1,794374057445,""

10,Employee SKU,5,5,ES0113909,11986131

---

Expected results:

---

ID,Name,Available,Quantity,SKU,Contract number,Account number,Start date,End date,Organization

6,Employee SKU,10,10,ES0113909,10169621,540155,2013-04-23 21:00:00 0700,2021-12-31 20:59:59 -0800,org_label_here

8,Employee SKU,-1,-1,ES0113909,10169621,540155,2013-04-23 21:00:00 -0700,2021-12-31 20:59:59 -0800,org_label_here

9,ant-product,-1,-1,794374057445,"","",2019-12-23 13:08:59 -0800,2049-12-15 13:08:59 -0800,org_label_here

10,Employee SKU,5,5,ES0113909,11986131,540155,2019-08-12 21:00:00 -0700,2021-12-31 20:59:59 -0800,org_label_here
--

Additional info:

Related issues:

Related to Katello - Feature #28789: Allow pool organization in safe mode Closed

Associated revisions

Revision 1549e9ab - 03/16/2020 11:02 AM - Waldirio Pinheiro

Fixes #28786 - add columns to subscription report

bumped minimal Katello version and inlcude organization to avoid N+1 SQL queries

Co-authored-by: Marek Hulán <ares@users.noreply.github.com>

History

#1 - 01/17/2020 08:36 AM - Waldirio Pinheiro

- Pull request https://github.com/theforeman/community-templates/pull/681 added

#2 - 01/17/2020 09:48 AM - Ondřej Pražák

- Project changed from Templates to Foreman

- Category set to Templates

#3 - 01/17/2020 09:49 AM - Ondřej Pražák

- Assignee set to Waldirio Pinheiro

#4 - 01/17/2020 10:05 AM - Marek Hulán

- Related to Feature #28789: Allow pool organization in safe mode added

#5 - 03/16/2020 12:01 PM - Waldirio Pinheiro

- Status changed from New to Closed

Applied in changeset community-templates|1549e9ab5366e72680e450448b599b1994ed88b7.
